Subject: [PATCH v11 2/8] usb: phy: omap-usb2: use the new generic PHY framework

From: [email-masked] (Greg KH)
Date: Thu, 26 Sep 2013 11:51:51 -0700

On Wed, Aug 21, 2013 at 11:16:07AM +0530, Kishon Vijay Abraham I wrote:
> Used the generic PHY framework API to create the PHY. Now the power off and
> power on are done in omap_usb_power_off and omap_usb_power_on respectively.
> The omap-usb2 driver is also moved to driver/phy.
> 
> However using the old USB PHY library cannot be completely removed
> because OTG is intertwined with PHY and moving to the new framework
> will break OTG. Once we have a separate OTG state machine, we
> can get rid of the USB PHY library.
> 
> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
> Reviewed-by: Sylwester Nawrocki <[email-masked]>
> Acked-by: Felipe Balbi <[email-masked]>
> ---
>  drivers/phy/Kconfig                   |   12 +++++++++
>  drivers/phy/Makefile                  |    1 +
>  drivers/{usb => }/phy/phy-omap-usb2.c |   45 ++++++++++++++++++++++++++++++---
>  drivers/usb/phy/Kconfig               |   10 --------
>  drivers/usb/phy/Makefile              |    1 -
>  5 files changed, 54 insertions(+), 15 deletions(-)
>  rename drivers/{usb => }/phy/phy-omap-usb2.c (88%)

I tried to apply this to my USB branch, but it fails.

Kishon, you were going to refresh this patch series, right?  Please do,
because as-is, I can't take it.

thanks,

greg k-h